Page MenuHomePhabricator

Some parameters' descriptions are unclear (titles, pageids, revids)
Closed, ResolvedPublic

Description

When using the ApiSandbox with options such as json/query/prop=categories, you get inputs that look like this:

titles [ ] A list of titles to work on
pageids [ ] A list of page IDs to work on
revids [ ] A list of revision IDs to work on

These three instructions don't mention what the separator is! I think it's most natural to assume that the values are comma-separated, but they're surely not. The default documentation should be updated to say something like... "A list of titles to work on, separated by '|'" or something.


Version: unspecified
Severity: enhancement

Details

Reference
bz34962

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:11 AM
bzimport set Reference to bz34962.
bzimport added a subscriber: Unknown Object (MLST).
MZMcBride created this task.Mar 4 2012, 6:40 PM

All multi values in the api are seperated by |.

For params with a list of possible values the sandbox generates a list.

For free text params like titles or tltemplates the api provides only one input field. Let the user build its one list, maybe by having a + and add a new input field and so on.

Commited gerrit 16909 for better description with action=help, but that does not help when looking with ApiSandbox.

(In reply to comment #1)

For free text params like titles or tltemplates the api provides only one input
field. Let the user build its one list, maybe by having a + and add a new input
field and so on.

That sounds like a good way, because there are more params with have | as a separator.

gerrit 16909 is merged, so core is fixed, moving this bug to ApiSandbox, because the new added hints are not automatically shown in apisandbox.

Changed help doesn't mean changed paraminfo, moving back to core.

(In reply to comment #4)

Changed help doesn't mean changed paraminfo, moving back to core.

Paraminfo already indicates which fields are multi-valued. If ApiSandbox needs to change its UI to indicate the API-standard separator character (or to provide some sort of multi-field input widget so end users don't have to care about the separator), that's an issue for ApiSandbox, not core.

Change 209570 had a related patch set uploaded (by Anomie):
Add Special:ApiSandbox

https://gerrit.wikimedia.org/r/209570

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 7 2016, 11:32 PM
Catrope removed a subscriber: Catrope.Jan 15 2016, 11:00 PM

Change 209570 merged by jenkins-bot:
Add Special:ApiSandbox

https://gerrit.wikimedia.org/r/209570

Anomie closed this task as Resolved.Feb 3 2016, 5:11 PM
Anomie claimed this task.